  options nocenter linesize=80 pagesize=59;
  libname current '';


     data test2 ;
     %let _EFIERR_ = 0; /* set the ERROR detection macro variable */
       infile 'c:\federalreport.asc'
              delimiter = ',' MISSOVER DSD lrecl=32767 firstobs=2 ;
         format case $15. ;
         format clientid $15. ;
         format actmth $8. ;
         format hhsize best12. ;
         format workpart best12. ;
         format fsamt best12. ;
         format cashamt best12. ;
         format clock best12. ;
         format birthm_y $8. ;
         format race $3. ;
         format fedis $4. ;
         format ms $3. ;
         format educ $5. ;
         format degree $4. ;
         format citz $3. ;
         format empstat $4. ;
         format workstat $4. ;
         format unsub_e best12. ;
         format sub_e best12. ;
         format sub_pub best12. ;
         format workexp best12. ;
         format ojt best12. ;
         format jobsearc best12. ;
         format commsvc best12. ;
         format voced best12. ;
         format jobskill best12. ;
         format ed_emp best12. ;
         format schooh best12. ;
         format providec best12. ;
         format add_wa best12. ;
         format oth_wa best12. ;
         format ei best12. ;
         format ui best12. ;
         format relat best12. ;
         format gkids best12. ;
         format ginfant best12. ;
         format gage1 best12. ;
         format gage2 best12. ;
         format gage3 best12. ;
         format gage4 best12. ;
         format gage5 best12. ;
         format gage1_3 best12. ;
         format gage4_5 best12. ;
         format gage6_12 best12. ;
         format gteen best12. ;
         format gunder5 best12. ;
         format gyoung best12. ;
         format kiddis best12. ;
         format care_age best12. ;
         format cohort best12. ;
         informat case $15. ;
         informat clientid $15. ;
         informat actmth $8. ;
         informat hhsize best32. ;
         informat workpart best32. ;
         informat fsamt best32. ;
         informat cashamt best32. ;
         informat clock best32. ;
         informat birthm_y $8. ;
         informat race $3. ;
         informat fedis $4. ;
         informat ms $3. ;
         informat educ $5. ;
         informat degree $4. ;
         informat citz $3. ;
         informat empstat $4. ;
         informat workstat $4. ;
         informat unsub_e best32. ;
         informat sub_e best32. ;
         informat sub_pub best32. ;
         informat workexp best32. ;
         informat ojt best32. ;
         informat jobsearc best32. ;
         informat commsvc best32. ;
         informat voced best32. ;
         informat jobskill best32. ;
         informat ed_emp best32. ;
         informat schooh best32. ;
         informat providec best32. ;
         informat add_wa best32. ;
         informat oth_wa best32. ;
         informat ei best32. ;
         informat ui best32. ;
         informat relat best32. ;
         informat gkids best32. ;
         informat ginfant best32. ;
         informat gage1 best32. ;
         informat gage2 best32. ;
         informat gage3 best32. ;
         informat gage4 best32. ;
         informat gage5 best32. ;
         informat gage1_3 best32. ;
         informat gage4_5 best32. ;
         informat gage6_12 best32. ;
         informat gteen best32. ;
         informat gunder5 best32. ;
         informat gyoung best32. ;
         informat kiddis best32. ;
         informat care_age best32. ;
         informat cohort best32. ;
      input
                  case $
                  clientid $
                  actmth $
                  hhsize
                  workpart
                  fsamt
                  cashamt
                  clock
                  birthm_y $
                  race $
                  fedis $
                  ms $
                  educ $
                  degree $
                  citz $
                  empstat $
                  workstat $
                  unsub_e
                  sub_e
                  sub_pub
                  workexp
                  ojt
                  jobsearc
                  commsvc
                  voced
                  jobskill
                  ed_emp
                  schooh
                  providec
                  add_wa
                  oth_wa
                  ei
                  ui
                  relat
                  gkids
                  ginfant
                  gage1
                  gage2
                  gage3
                  gage4
                  gage5
                  gage1_3
                  gage4_5
                  gage6_12
                  gteen
                  gunder5
                  gyoung
                  kiddis
                  care_age
                  cohort
      ;
      if _ERROR_ then call symput('_EFIERR_',1);  /* set ERROR detection macro variable */
      run;


