options nocenter linesize=80 pagesize=59;
libname current '';

      data test1;
     %let _EFIERR_ = 0; /* set the ERROR detection macro variable */
      infile 'C:\closedcases.asc'
              delimiter = ',' MISSOVER DSD lrecl=32767 firstobs=2 ;
         format lastpaym $8. ;
         format case $15. ;
         format isndt best12. ;
         format program $4. ;
         format progtype $3. ;
         format classofa $5. ;
         format casestat $3. ;
         format appldate best12. ;
         format apdispdt best12. ;
         format grossinc best12. ;
         format earninc best12. ;
         format uneinc best12. ;
         format race $3. ;
         format lastpaya best12. ;
         format nadult best12. ;
         format nchild best12. ;
         format clientid $15. ;
         format office $5. ;
         format superv $6. ;
         format relat $4. ;
         format statinca $4. ;
         format sex $3. ;
         format citizen $3. ;
         format marital $3. ;
         format educ $4. ;
         format hsgrad $3. ;
         format age best12. ;
         format birthyea best12. ;
         format ssi $3. ;
         format sanction $1. ;
         format aucounty best12. ;
         format regtype best12. ;
         format cohort best12. ;
         informat lastpaym $8. ;
         informat case $15. ;
         informat isndt best32. ;
         informat program $4. ;
         informat progtype $3. ;
         informat classofa $5. ;
         informat casestat $3. ;
         informat appldate best32. ;
         informat apdispdt best32. ;
         informat grossinc best32. ;
         informat earninc best32. ;
         informat uneinc best32. ;
         informat race $3. ;
         informat lastpaya best32. ;
         informat nadult best32. ;
         informat nchild best32. ;
         informat clientid $15. ;
         informat office $5. ;
         informat superv $6. ;
         informat relat $4. ;
         informat statinca $4. ;
         informat sex $3. ;
         informat citizen $3. ;
         informat marital $3. ;
         informat educ $4. ;
         informat hsgrad $3. ;
         informat age best32. ;
         informat birthyea best32. ;
         informat ssi $3. ;
         informat sanction $1. ;
         informat aucounty best32. ;
         informat regtype best32. ;
         informat cohort best32. ;
      input
                  lastpaym $
                  case $
                  isndt
                  program $
                  progtype $
                  classofa $
                  casestat $
                  appldate
                  apdispdt
                  grossinc
                  earninc
                  uneinc
                  race $
                  lastpaya
                  nadult
                  nchild
                  clientid $
                  office $
                  superv $
                  relat $
                  statinca $
                  sex $
                  citizen $
                  marital $
                  educ $
                  hsgrad $
                  age
                  birthyea
                  ssi $
                  sanction $
                  aucounty
                  regtype
                  cohort
      ;
      if _ERROR_ then call symput('_EFIERR_',1);  /* set ERROR detection macro variable */
      run;
